StoreLoader (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreLoader class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreLoader

    java.lang.Object
      org.apache.catalina.storeconfig.StoreLoader

public class StoreLoader
extends java.lang.Object

Author:
  Peter Rossbach XML Format

             <Registry name="" encoding="UTF8" >
             <Description tag="Server" standard="true" default="true"/>
                tagClass="org.apache.catalina.core.StandardServer"
                storeFactory="org.apache.catalina.storeconfig.StandardServerSF">
              <TransientAttributes>
                <Attribute></Attribute>
              </TransientAttributes>
              <TransientChilds>
                <Child></Child>
              </TransientChilds>
             </Description>
         ...
             </Tegistry>

  Convention:
  - Factories at subpackage org.apache.catalina.core.storeconfig.xxxSF .
  - Element name are the unique Class name
  - SF for StoreFactory
  - standard implementation is false
  other things:
  - Registry XML format is a very good option
  - Store format is not fix
  - We hope with the parent declaration we can build recursive child store operation //dream
  - Problem is to access child data from array,collections or normal detail object
  - Default definitions for Listener, Valve Resource? - Based on interface type!

Field Summary
`protected static Digester` | `digester` The `Digester` instance used to parse registry descriptors.

Constructor Summary
`StoreLoader()`

Method Summary
`protected static Digester` | `createDigester()` Create and configure the Digester we will be using for setup store registry.
`StoreRegistry` | `getRegistry()`
`java.net.URL` | `getRegistryResource()`
`void` | `load()` Load from defaults System Property URL catalina.storeregistry File $catalina.base/conf/server-registry.xml class resource org/apache/catalina/storeconfig/server-registry.xml
`void` | `load(java.lang.String aURL)` Load Description from external source
`protected java.io.File` | `serverFile(java.lang.String aFile)`
`void` | `setRegistry(StoreRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### digester

    protected static Digester digester

  The `Digester` instance used to parse registry descriptors.

Constructor Detail

### StoreLoader

    public StoreLoader()

Method Detail

### getRegistry

    public StoreRegistry getRegistry()

  Returns:
    Returns the registry.

### setRegistry

    public void setRegistry(StoreRegistry registry)

  Parameters:
    `registry` - The registry to set.

### createDigester

    protected static Digester createDigester()

  Create and configure the Digester we will be using for setup store registry.

### serverFile

    protected java.io.File serverFile(java.lang.String aFile)

  Parameters:
    `aFile` -
  Returns:
    The server file

### load

    public void load(java.lang.String aURL)

  Load Description from external source

  Parameters:
    `aURL` -

### load

    public void load()

  Load from defaults
  - System Property URL catalina.storeregistry
  - File $catalina.base/conf/server-registry.xml
  - class resource org/apache/catalina/storeconfig/server-registry.xml

### getRegistryResource

    public java.net.URL getRegistryResource()

  Returns:
    Returns the registryResource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.